- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Static Public Member Functions | Static Public Attributes | Protected Member Functions

# FbxRootNodeUtility Class Reference

Search for all occurrences

## Detailed Description

This class collects static functions for manipulating Fbx_Root nodes.

Fbx_Root nodes were used to orient and scale scenes from other graphics applications. They have been replaced by the conversion routines in FbxAxisSystem and FbxSystemUnit. These methods are provided for backward compatibility only and will eventually be removed. Use the conversion routines in FbxSystemUnit and FbxAxisSystem when possible.

Definition at line 31 of file fbxrootnodeutility.h.

`#include <fbxrootnodeutility.h>`

List of all members.

## Static Public Member Functions
static bool | RemoveAllFbxRoots (FbxScene *pScene)
| This method strips the scene of all Fbx_Root nodes.
static bool | InsertFbxRoot (FbxScene *pScene, const FbxAxisSystem &pDstAxis, const FbxSystemUnit &pDstUnit, const FbxSystemUnit::ConversionOptions &pUnitOptions=FbxSystemUnit::DefaultConversionOptions)
| Inserts an Fbx_Root node into the scene to orient the scene from its axis and unit systems to the specified ones.
static bool | IsFbxRootNode (FbxNode *pNode)
| Check if a node is an Fbx_Root node.
## Static Public Attributes
static const char * | sFbxRootNodePrefix
## Protected Member Functions
| FbxRootNodeUtility ()
| FbxRootNodeUtility (const FbxRootNodeUtility &pOther)
| ~FbxRootNodeUtility ()

## Constructor & Destructor Documentation

FbxRootNodeUtility | ( |  | ) | `[protected]`

FbxRootNodeUtility | ( | const FbxRootNodeUtility & | pOther | ) | `[protected]`

~FbxRootNodeUtility | ( |  | ) | `[protected]`

## Member Function Documentation

static bool RemoveAllFbxRoots | ( | FbxScene * | pScene | ) | `[static]`

Search for all occurrences

This method strips the scene of all Fbx_Root nodes.

Parameters:

  pScene | The scene to convert

Returns:
  `true` if successful, `false` otherwise.

Remarks:
  Converts the children of any Fbx_Roots to the orientation and units that the Fbx_Root transformation represented. The scene should look unchanged.

static bool InsertFbxRoot | ( | FbxScene * | pScene,
|  | const FbxAxisSystem & | pDstAxis,
|  | const FbxSystemUnit & | pDstUnit,
|  | const FbxSystemUnit::ConversionOptions & | pUnitOptions = `FbxSystemUnit::DefaultConversionOptions`
| ) |  | `[static]`

Search for all occurrences

Inserts an Fbx_Root node into the scene to orient the scene from its axis and unit systems to the specified ones.

Parameters:

  pScene | The scene to convert
  pDstAxis | Destination axis.
  pDstUnit | Destination unit
  pUnitOptions | Unit conversion options

static bool IsFbxRootNode | ( | FbxNode * | pNode | ) | `[static]`

Search for all occurrences

Check if a node is an Fbx_Root node.

Parameters:

  pNode | The node to query

Returns:
  `true` if pNode is a Fbx_Root node, false otherwise

## Member Data Documentation

const char* sFbxRootNodePrefix `[static]`

Search for all occurrences

Definition at line 35 of file fbxrootnodeutility.h.

The documentation for this class was generated from the following file:

- fbxsdk/utils/fbxrootnodeutility.h

FbxRootNodeUtility FbxRootNodeUtility FbxRootNodeUtility FbxRootNodeUtility FbxRootNodeUtility FbxRootNodeUtility FbxRootNodeUtility FbxRootNodeUtility FbxRootNodeUtility FbxRootNodeUtility
FbxRootNodeUtility FbxRootNodeUtility FbxRootNodeUtility FbxRootNodeUtility FbxRootNodeUtility FbxRootNodeUtility FbxRootNodeUtility FbxRootNodeUtility FbxRootNodeUtility FbxRootNodeUtility